org.keycloak.models.sessions.infinispan

## Class UserLoginFailureAdapter

- java.lang.Object
- - org.keycloak.models.sessions.infinispan.UserLoginFailureAdapter

- All Implemented Interfaces:
    UserLoginFailureModel

      public class UserLoginFailureAdapter
      extends Object
      implements UserLoginFailureModel

  Author:
    Stian Thorgersen

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.keycloak.models.UserLoginFailureModel

      `UserLoginFailureModel.SearchableFields`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserLoginFailureAdapter(InfinispanUserLoginFailureProvider provider, LoginFailureKey key, LoginFailureEntity entity)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearFailures()`
    `int` | `getFailedLoginNotBefore()`
    `String` | `getId()`
    `long` | `getLastFailure()`
    `String` | `getLastIPFailure()`
    `int` | `getNumFailures()`
    `String` | `getUserId()`
    `void` | `incrementFailures()`
    `void` | `setFailedLoginNotBefore(int notBefore)`
    `void` | `setLastFailure(long lastFailure)`
    `void` | `setLastIPFailure(String ip)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserLoginFailureAdapter

          public UserLoginFailureAdapter(InfinispanUserLoginFailureProvider provider,
                                         LoginFailureKey key,
                                         LoginFailureEntity entity)

  - ### Method Detail

    - #### getUserId

          public String getUserId()

      Specified by:
        `getUserId` in interface `UserLoginFailureModel`

    - #### getFailedLoginNotBefore

          public int getFailedLoginNotBefore()

      Specified by:
        `getFailedLoginNotBefore` in interface `UserLoginFailureModel`

    - #### setFailedLoginNotBefore

          public void setFailedLoginNotBefore(int notBefore)

      Specified by:
        `setFailedLoginNotBefore` in interface `UserLoginFailureModel`

    - #### getNumFailures

          public int getNumFailures()

      Specified by:
        `getNumFailures` in interface `UserLoginFailureModel`

    - #### incrementFailures

          public void incrementFailures()

      Specified by:
        `incrementFailures` in interface `UserLoginFailureModel`

    - #### clearFailures

          public void clearFailures()

      Specified by:
        `clearFailures` in interface `UserLoginFailureModel`

    - #### getLastFailure

          public long getLastFailure()

      Specified by:
        `getLastFailure` in interface `UserLoginFailureModel`

    - #### setLastFailure

          public void setLastFailure(long lastFailure)

      Specified by:
        `setLastFailure` in interface `UserLoginFailureModel`

    - #### getLastIPFailure

          public String getLastIPFailure()

      Specified by:
        `getLastIPFailure` in interface `UserLoginFailureModel`

    - #### setLastIPFailure

          public void setLastIPFailure(String ip)

      Specified by:
        `setLastIPFailure` in interface `UserLoginFailureModel`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `UserLoginFailureModel`

Copyright © 2021 JBoss by Red Hat. All rights reserved.